<?php

namespace MRU\Revslider\Domain\Repository;


use TYPO3\CMS\Extbase\Persistence\QueryInterface;
use TYPO3\CMS\Extbase\Persistence\Repository;
use TYPO3\CMS\Extbase\Utility\DebuggerUtility;

class OptionsRepository extends Repository
{

    public function checkIsInstalled(){
        /** @var QueryInterface $query */
        $query = $this->createQuery();
        $query->getQuerySettings()->setRespectStoragePage(false);
        $query->matching(
            $query->equals('handle', 'revslider-extension-installed')
        );

        return $query->execute()->getFirst();
    }
}