<?php

namespace MRU\Revslider\Domain\Model;


use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;

class Options extends AbstractEntity
{
    /**
     * The handle
     *
     * @var string
     */
    protected $handle = '';

    /**
     * The option
     *
     * @var string
     */
    protected $option = '';

    /**
     * Returns the handle
     *
     * @return string $handle
     */
    public function getHandle() {
        return $this->handle;
    }

    /**
     * Sets the handle
     *
     * @param string $handle
     * @return void
     */
    public function setHandle($handle) {
        $this->handle = $handle;
    }

    /**
     * Returns the option
     *
     * @return string $option
     */
    public function getOption() {
        return $this->option;
    }

    /**
     * Sets the option
     *
     * @param string $option
     * @return void
     */
    public function setOption($option) {
        $this->option = $option;
    }
}
