<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2017 Manfred Rutschmann <manfred@rutschmann.biz>, Rutschmann.BIZ
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

return array(
    'ctrl' => array(
        'title'	=> 'SLIDER REVOLUTION Slide',
        'label' => 'id',
        'dividers2tabs' => TRUE,
        'rootLevel' => 1,
        'iconfile' => 'EXT:revslider/ext_icon-7.png',
        'hideTable' => TRUE
    ),
    
    'interface' => array(
        'showRecordFieldList' => 'title',
    ),
    'types' => array(
        '1' => array('showitem' => 'title'),
    ),
    'palettes' => array(
        '1' => array('showitem' => ''),
    ),
    'columns' => array(
        'id' => array(
            'config' => array(
                'type' => 'passthrough',
            ),
        ),
        'slider_id' => array(
            'label' => 'Slider ID',
            'config' => array(
                'type' => 'passthrough',
            ),
        ),
        'slide_order' => array(
            'config' => array(
                'type' => 'passthrough',
            ),
        ),
        'params' => array(
            'config' => array(
                'type' => 'passthrough',
            ),
        ),
        'layers' => array(
            'config' => array(
                'type' => 'passthrough',
            ),
        ),
        'settings' => array(
            'config' => array(
                'type' => 'passthrough',
            ),
        ),
    ),
);

